iCalendlyDeveloper Docs
Cal unified calendars

PATCHUpdate meeting details in calendar

Updates a specific calendar event.

PATCH/v2/calendars/{calendar}/event/{eventUid}

Request Body

application/jsonRequired
startobject

Start date and time of the calendar event with timezone information

endobject

End date and time of the calendar event with timezone information

titlestring

Title of the calendar event

descriptionstring

Detailed description of the calendar event

attendeesarray<object>

List of attendees. CAUTION: You must pass the entire array with all updated values. Any attendees not included in this array will be removed from the event.

statusstring

Status of the event (accepted, pending, declined, cancelled)

Value in: "accepted" | "pending" | "declined" | "cancelled"

Path Parameters

calendarRequiredstring
Value in: "google"
eventUidRequiredstring

The Google Calendar event ID. You can retrieve this by getting booking references from the following endpoints:

  • For user events: GET /v2/bookings/{bookingUid}/references

Header Parameters

AuthorizationRequiredstring

value must be Bearer <token> where <token> is api key prefixed with cal_ or managed user access token

curl -X PATCH "https://example.com/v2/calendars/google/event/<string>" \
  -H "Authorization: <string>" \
  -H "Content-Type: application/json" \
  -d '{
    "start": {
      "time": "2019-08-24T14:15:22Z",
      "timeZone": "string"
    },
    "end": {
      "time": "2019-08-24T14:15:22Z",
      "timeZone": "string"
    },
    "title": "string",
    "description": "string",
    "attendees": [
      {
        "email": "string",
        "name": "string",
        "responseStatus": "accepted",
        "self": true,
        "optional": true,
        "host": true
      }
    ],
    "status": "accepted"
  }'

{
  "status": "success",
  "data": {
    "start": {
      "time": "2019-08-24T14:15:22Z",
      "timeZone": "string"
    },
    "end": {
      "time": "2019-08-24T14:15:22Z",
      "timeZone": "string"
    },
    "id": "string",
    "title": "string",
    "description": "string",
    "locations": [
      {
        "type": "video",
        "url": "string",
        "label": "string",
        "password": "string",
        "meetingCode": "string",
        "accessCode": "string"
      }
    ],
    "attendees": [
      {
        "email": "string",
        "name": "string",
        "responseStatus": "accepted",
        "self": true,
        "optional": true,
        "host": true
      }
    ],
    "status": "accepted",
    "hosts": [
      {
        "email": "string",
        "name": "string",
        "responseStatus": "accepted"
      }
    ],
    "calendarEventOwner": {
      "email": "string",
      "name": "string"
    },
    "source": "google"
  }
}